Subject: bug#39843: Can't open files through file managers in other DEs and WMs

From: sirgazil <[email-masked]>
Date: Sat, 29 Feb 2020 16:06:37 -0500

I forgot to say:

When trying to open a file using Nautilus in sway, I get this message:

######
Could Not Display "file-name-here.ext"
There is no application installed for "FILE TYPE HERE" files

Button: Select Application
Button: OK
######

Pressing the "Select Application" button displays a list of applications that 
can handle the given file type, but selecting an application from the list has 
no effect. The message above shows up again when you try to open a file.

I see this warning appear in a terminal when I try to open a file:

######
** (org.gnome.Nautilus:13530): WARNING **: 14:59:45.839: Couldn't call Modify 
on the PackageKit interface: no owner for PackageKit
######

When trying to do the same thing in Caja (MATE), I get this message:

######
No se pudo abrir el archivo XYZ. Falló al ejecutar el proceso hijo «gio-launch-desktop» (No existe el fichero o el directorio)
######

Which means "Couldn't open the file XYZ. Failed to run the child process «gio-launch-desktop» (No such file or directory)"

And Thunar on XFCE doesn't display anything, nothing happens.

Also, I have a "mimeapps.list" file living in "~/.config" and file managers seems to use it, because when you right click on a file, file managers show the right application configured to open that particular type of file (as defined in "~/.config/mimeapps.list").

---
https://sirgazil.bitbucket.io/